Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonAbsolutePosition

    java.lang.Object
      org.apache.fop.fo.properties.CommonAbsolutePosition

    public class CommonAbsolutePosition

extends java.lang.Object

Store all common absolute position properties. See Sec. 7.5 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`int` | `absolutePosition` The "absolute-position" property.
`Length` | `bottom` The "bottom" property.
`Length` | `left` The "left" property.
`Length` | `right` The "right" property.
`Length` | `top` The "top" property.

Constructor Summary
`CommonAbsolutePosition(PropertyList pList)` Create a CommonAbsolutePosition object.

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### absolutePosition

    public int absolutePosition

  The "absolute-position" property.

### top

    public Length top

  The "top" property.

### right

    public Length right

  The "right" property.

### bottom

    public Length bottom

  The "bottom" property.

### left

    public Length left

  The "left" property.

Constructor Detail

### CommonAbsolutePosition

    public CommonAbsolutePosition(PropertyList pList)
                           throws PropertyException

  Create a CommonAbsolutePosition object.

  Parameters:
    `pList` - The PropertyList with propery values.
  Throws:
    `PropertyException` - if a property exception is raised

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.